

<div class="ion-inline-flex ion-align-items-center">
    <!-- Stars -->
    <ng-template ngFor [ngForOf]="stars" let-star let-i="index">
        <ng-container [ngSwitch]="star.state">
            <ion-icon *ngSwitchCase="'fill'" name="star" [color]="starColor"
                [ngStyle]="{ 'font-size': starSize }" (click)="action.emit(i + 1)">
            </ion-icon>
    
            <ion-icon *ngSwitchCase="'half'" name="star-half-outline" [color]="starColor"
                [ngStyle]="{ 'font-size': starSize }" (click)="action.emit(i + 1)">
            </ion-icon>
    
            <ion-icon *ngSwitchDefault name="star-outline" [color]="starColor"
                [ngStyle]="{ 'font-size': starSize }" (click)="action.emit(i + 1)">
            </ion-icon>
        </ng-container>
    </ng-template>
    
    <!-- Percent -->
    <ion-text [color]="percentColor" *ngIf="showPercent">
        <small class="ion-ml-2" style="margin-top: -2px;">{{ title }}({{ ratingPercent | number:'2.0-1' }}%)</small>
    </ion-text>
</div>
